## org.eclipse.emf.mint.ui
Class AbstractOpenGeneratedMenu.DescriptorComparator

    java.lang.Object
      org.eclipse.emf.mint.ui.AbstractOpenGeneratedMenu.DescriptorComparator

All Implemented Interfaces:
  Comparator<IItemJavaElementDescriptor>

Enclosing class:
  AbstractOpenGeneratedMenu

    protected static class AbstractOpenGeneratedMenu.DescriptorComparator

extends Object
implements Comparator<IItemJavaElementDescriptor>

Default comparator used for sorting java element descriptors.

Field Summary
`protected Object` `target` Cached target object.

Constructor Summary
`AbstractOpenGeneratedMenu.DescriptorComparator(Object target)` Creates an instance for the given target.

Method Summary
`int` `compare(IItemJavaElementDescriptor o1, IItemJavaElementDescriptor o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### target

    protected final Object target

  Cached target object.

Constructor Detail

### AbstractOpenGeneratedMenu.DescriptorComparator

    public AbstractOpenGeneratedMenu.DescriptorComparator(Object target)

  Creates an instance for the given target.

  Parameters:
    `target` - object to which the compared artifact descriptors belong

Method Detail

### compare

    public int compare(IItemJavaElementDescriptor o1,
                       IItemJavaElementDescriptor o2)

  Specified by:
    `compare` in interface `Comparator<IItemJavaElementDescriptor>`

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.